package com.unibuy.smartdevice.structure.mqtt;

public class CommandAckPayload {
    private String command_id;
    private String result;
    private String message;
    private String stock;

    public CommandAckPayload(String command_id, String result) {
        this.command_id = command_id;
        this.result = result;
    }

    public CommandAckPayload(String command_id, String result, String message) {
        this.command_id = command_id;
        this.result = result;
        this.message = message;
    }

    public CommandAckPayload(String command_id, String result, String message, String stock) {
        this.command_id = command_id;
        this.result = result;
        this.message = message;
        this.stock = stock;
    }

    public String getCommand_id() {
        return command_id;
    }

    public void setCommand_id(String command_id) {
        this.command_id = command_id;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getStock() {
        return stock;
    }

    public void setStock(String stock) {
        this.stock = stock;
    }
}
